Create a task document
curl --request POST \
--url https://api.smokeball.com/tasks/{taskId}/documents \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"type": 0,
"documentId": "cf666f06-3ff2-4a41-8c7f-ab5a8bc6a277"
}
'import requests
url = "https://api.smokeball.com/tasks/{taskId}/documents"
payload = {
"type": 0,
"documentId": "cf666f06-3ff2-4a41-8c7f-ab5a8bc6a277"
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({type: 0, documentId: 'cf666f06-3ff2-4a41-8c7f-ab5a8bc6a277'})
};
fetch('https://api.smokeball.com/tasks/{taskId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Tasks
Create a task document
Links the specified document to the specified task.
POST
/
tasks
/
{taskId}
/
documents
Create a task document
Path Parameters
Body
application/json-patch+jsonapplication/jsonapplication/*+json
Data transfer object for a task document.
The type of the document.
Possible values: File = 0, FormTemplate = 1, Memo = 2.
The FormTemplate (1) document type is not currently supported for task document creation.
Available options:
0, 1, 2 Example:
0
Unique identifier of the document (file or memo).
If a file, the type must be 0 (File).
If a memo, the type must be 2 (Memo).
The FormTemplate (1) document type is not currently supported for task document creation.
Example:
"cf666f06-3ff2-4a41-8c7f-ab5a8bc6a277"
āI